#ifndef __GETKEY_H_
#define __GETKEY_H_
#include <cstdlib>
#include <stdio.h>
#include <termios.h>
#include <unistd.h>

struct termios oldt;

#define KEYUP       65
#define KEYLEFT     68
#define KEYDOWN     66
#define KEYRIGHT    67

int GetKey( ) {
  struct termios
                 newt;
  int            ch;
  tcgetattr( STDIN_FILENO, &oldt );
  newt = oldt;
  newt.c_lflag &= ~( ICANON | ECHO );
  tcsetattr( STDIN_FILENO, TCSANOW, &newt );
  ch = getchar();
  if( ch == 27 )
	  ch = getchar();
  if( ch == 91)
	  ch = getchar();
  tcsetattr( STDIN_FILENO, TCSANOW, &oldt );

  return ch;
}

#endif
